/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMORDENTRABAJO")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmordentrabajo.findAll", query = "SELECT t FROM Tarmordentrabajo t"),
    @NamedQuery(name = "Tarmordentrabajo.findByCordentrabajo", query = "SELECT t FROM Tarmordentrabajo t WHERE t.cordentrabajo = :cordentrabajo"),
    @NamedQuery(name = "Tarmordentrabajo.findByFsolicitud", query = "SELECT t FROM Tarmordentrabajo t WHERE t.fsolicitud = :fsolicitud"),
    @NamedQuery(name = "Tarmordentrabajo.findByDocumentoreferencia", query = "SELECT t FROM Tarmordentrabajo t WHERE t.documentoreferencia = :documentoreferencia"),
    @NamedQuery(name = "Tarmordentrabajo.findByEmpresasolicita", query = "SELECT t FROM Tarmordentrabajo t WHERE t.empresasolicita = :empresasolicita"),
    @NamedQuery(name = "Tarmordentrabajo.findByDireccioncomision", query = "SELECT t FROM Tarmordentrabajo t WHERE t.direccioncomision = :direccioncomision"),
    @NamedQuery(name = "Tarmordentrabajo.findByRuta", query = "SELECT t FROM Tarmordentrabajo t WHERE t.ruta = :ruta"),
    @NamedQuery(name = "Tarmordentrabajo.findByTiempoestimado", query = "SELECT t FROM Tarmordentrabajo t WHERE t.tiempoestimado = :tiempoestimado"),
    @NamedQuery(name = "Tarmordentrabajo.findByFinicio", query = "SELECT t FROM Tarmordentrabajo t WHERE t.finicio = :finicio"),
    @NamedQuery(name = "Tarmordentrabajo.findByFfinalizacion", query = "SELECT t FROM Tarmordentrabajo t WHERE t.ffinalizacion = :ffinalizacion"),
    @NamedQuery(name = "Tarmordentrabajo.findByObservaciones", query = "SELECT t FROM Tarmordentrabajo t WHERE t.observaciones = :observaciones")})
public class Tarmordentrabajo implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CORDENTRABAJO")
    private Long cordentrabajo;
    @Column(name = "FSOLICITUD")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fsolicitud;
    @Column(name = "DOCUMENTOREFERENCIA")
    private String documentoreferencia;
    @Column(name = "EMPRESASOLICITA")
    private String empresasolicita;
    @Column(name = "DIRECCIONCOMISION")
    private String direccioncomision;
    @Column(name = "RUTA")
    private String ruta;
    @Column(name = "TIEMPOESTIMADO")
    private String tiempoestimado;
    @Column(name = "FINICIO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date finicio;
    @Column(name = "FFINALIZACION")
    @Temporal(TemporalType.TIMESTAMP)
    private Date ffinalizacion;
    @Column(name = "OBSERVACIONES")
    private String observaciones;
    @JoinColumns({
        @JoinColumn(name = "CSOLICITUD", referencedColumnName = "CSOLICITUD"),
        @JoinColumn(name = "CTRAMITE", referencedColumnName = "CTRAMITE")})
    @ManyToOne
    private Tarmsolicitudtramite tarmsolicitudtramite;
    @OneToMany(mappedBy = "cordentrabajo")
    private Collection<Tarmordentrabajocustodios> tarmordentrabajocustodiosCollection;

    public Tarmordentrabajo() {
    }

    public Tarmordentrabajo(Long cordentrabajo) {
        this.cordentrabajo = cordentrabajo;
    }

    public Long getCordentrabajo() {
        return cordentrabajo;
    }

    public void setCordentrabajo(Long cordentrabajo) {
        this.cordentrabajo = cordentrabajo;
    }

    public Date getFsolicitud() {
        return fsolicitud;
    }

    public void setFsolicitud(Date fsolicitud) {
        this.fsolicitud = fsolicitud;
    }

    public String getDocumentoreferencia() {
        return documentoreferencia;
    }

    public void setDocumentoreferencia(String documentoreferencia) {
        this.documentoreferencia = documentoreferencia;
    }

    public String getEmpresasolicita() {
        return empresasolicita;
    }

    public void setEmpresasolicita(String empresasolicita) {
        this.empresasolicita = empresasolicita;
    }

    public String getDireccioncomision() {
        return direccioncomision;
    }

    public void setDireccioncomision(String direccioncomision) {
        this.direccioncomision = direccioncomision;
    }

    public String getRuta() {
        return ruta;
    }

    public void setRuta(String ruta) {
        this.ruta = ruta;
    }

    public String getTiempoestimado() {
        return tiempoestimado;
    }

    public void setTiempoestimado(String tiempoestimado) {
        this.tiempoestimado = tiempoestimado;
    }

    public Date getFinicio() {
        return finicio;
    }

    public void setFinicio(Date finicio) {
        this.finicio = finicio;
    }

    public Date getFfinalizacion() {
        return ffinalizacion;
    }

    public void setFfinalizacion(Date ffinalizacion) {
        this.ffinalizacion = ffinalizacion;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public Tarmsolicitudtramite getTarmsolicitudtramite() {
        return tarmsolicitudtramite;
    }

    public void setTarmsolicitudtramite(Tarmsolicitudtramite tarmsolicitudtramite) {
        this.tarmsolicitudtramite = tarmsolicitudtramite;
    }

    @XmlTransient
    public Collection<Tarmordentrabajocustodios> getTarmordentrabajocustodiosCollection() {
        return tarmordentrabajocustodiosCollection;
    }

    public void setTarmordentrabajocustodiosCollection(Collection<Tarmordentrabajocustodios> tarmordentrabajocustodiosCollection) {
        this.tarmordentrabajocustodiosCollection = tarmordentrabajocustodiosCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cordentrabajo != null ? cordentrabajo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmordentrabajo)) {
            return false;
        }
        Tarmordentrabajo other = (Tarmordentrabajo) object;
        if ((this.cordentrabajo == null && other.cordentrabajo != null) || (this.cordentrabajo != null && !this.cordentrabajo.equals(other.cordentrabajo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmordentrabajo[ cordentrabajo=" + cordentrabajo + " ]";
    }
    
}
